#include <RFID.h>
#include <SPI.h>     
#include <Keyboard.h>

#define SS_PIN 10
#define RST_PIN 9

RFID rfid(SS_PIN, RST_PIN); 

int k_led = 11;                       												//red led
int y_led = 12;																								//green led
int m_led = 13;																								//blue led

int button1_pin = 3;          
int button2_pin = 6;

int button1_durumu = 0; 
int button2_durumu = 0; 
void setup()
{ 
  pinMode(k_led,OUTPUT);
  pinMode(y_led,OUTPUT);
  pinMode(m_led,OUTPUT);
  
  pinMode(button1_pin, INPUT);
  pinMode(button2_pin, INPUT);
  SPI.begin();             						
  rfid.init();																								//RFID starting
  Keyboard.begin();               
  digitalWrite(k_led,HIGH);																		//leds are LOW
  digitalWrite(m_led,HIGH);
  digitalWrite(y_led,HIGH);
}
void loop()
{
    button1_durumu = digitalRead(button1_pin);
    button2_durumu = digitalRead(button2_pin);

    while (button1_durumu == HIGH){                  					//Entries for Windows 8 / 8.1 / 10 are active when "button 1" is pressed
      if (rfid.isCard()) {                        			
        if (rfid.readCardSerial()) {												
            if (rfid.serNum[0] == 181             						//Complete this part according to your own RFID card
                && rfid.serNum[1] == 215          						//These are the IDs of the RFID card
                && rfid.serNum[2] == 221
                && rfid.serNum[3] == 100
                && rfid.serNum[4] == 219
            ) {  
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);												//Turn on the green led
              digitalWrite(y_led,LOW); 
              delay(100);
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,HIGH);   
              delay(100); 
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,LOW); 
              delay(100);
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,HIGH);   
              delay(100);                  
              Keyboard.press(0xB0);                      				//We press the ENTER key from the keyboard
              delay(50);
              Keyboard.releaseAll();          
              delay(500);
              Keyboard.print("mustafakemal2009");       		    //Write your computer password here
              Keyboard.press(0xB0);
              delay(50);
              Keyboard.releaseAll();
             } else {
              digitalWrite(k_led,LOW); 													//turn on the red led
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,HIGH); 
              delay(300);    
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,HIGH);
              delay(300);  
             }
             digitalWrite(k_led,HIGH);
             digitalWrite(m_led,HIGH);
             digitalWrite(y_led,HIGH); 
          }
    }  
    rfid.halt();
  }

  while (button2_durumu == HIGH){                    			//Entries for Mac, Windows 7/XP, Linux  are active when "button 2" is pressed 
      if (rfid.isCard()) {                       
        if (rfid.readCardSerial()) {
            if (rfid.serNum[0] == 181            					//Complete this part according to your own RFID card
                && rfid.serNum[1] == 215         					//These are the IDs of the RFID card
                && rfid.serNum[2] == 221
                && rfid.serNum[3] == 100
                && rfid.serNum[4] == 219
            ) { 
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,LOW); 
              delay(100);
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,HIGH);   
              delay(100);        
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,LOW); 
              delay(100);
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,HIGH);   
              delay(100);           
              Keyboard.print("mustafakemal2009");  						  //Write your computer password here
              Keyboard.press(0xB0);                 								 //We press the ENTER key from the keyboard
              delay(50);
              Keyboard.releaseAll();
             } else {
              digitalWrite(k_led,LOW);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,HIGH); 
              delay(300);  
              digitalWrite(k_led,HIGH);
              digitalWrite(m_led,HIGH);
              digitalWrite(y_led,HIGH);  
              delay(300);  
             }
             digitalWrite(k_led,HIGH);
             digitalWrite(m_led,HIGH);
             digitalWrite(y_led,HIGH); 
          }
    }  
    rfid.halt();
  }
}
